# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.89.0"
name = "anyxml"
version = "0.6.2"
authors = ["tayu0110"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A fully spec-conformant XML library"
readme = "README.md"
keywords = [
    "xml",
    "dtd",
    "xpath",
    "catalog",
]
license = "MIT"
repository = "https://github.com/tayu0110/anyxml.git"

[lib]
name = "anyxml"
path = "src/lib.rs"

[[test]]
name = "catalog-test"
path = "tests/catalog-test.rs"

[[test]]
name = "sax-test"
path = "tests/sax-test.rs"

[[test]]
name = "stax-test"
path = "tests/stax-test.rs"

[[test]]
name = "tree-test"
path = "tests/tree-test.rs"

[[test]]
name = "xpath-test"
path = "tests/xpath-test.rs"

[dependencies.anyxml-automata]
version = "0.1.1"

[dependencies.anyxml-uri]
version = "0.1.4"

[lints.clippy]
too_many_arguments = "allow"
type_complexity = "allow"
